const MODULE_NAME = 'MKDIR-IF-NOT-EXISTS';

const fs = require('fs').promises;

const logger = require('komodo-sdk/logger');

const mkdir = async (xid, dirname) => {
    try {
        logger.verbose(`${MODULE_NAME} EAE923FB: Making directory`, { xid, dirname });
        await fs.mkdir(dirname, { recursive: true });
    } catch (e) {
        logger.warn(`${MODULE_NAME} 1E8EBB84: Exception on making directory`, {
            xid, dirname, eCode: e.code, eMessage: e.message,
        });
    }
};

module.exports = async (xid, dirname) => {
    try {
        fs.stat(dirname);
    } catch (e) {
        await mkdir(xid, dirname);
    }
};
